LINUX.ORG.RU
решено ФорумGames

Помогите запустить Witcher 2!

 , , , ,


1

1

Народ, в общем я скачал с gog.com игрушку Witcher 2, которую мне подарили, распаковал, в каталоге game лежит запускалка ./launcher

lubuntu@pc /h/w/З/W/G/T/game> ldd launcher
    linux-gate.so.1 =>  (0xf7761000)
    libgtk-x11-2.0.so.0 => not found
    libgdk-x11-2.0.so.0 => not found
    libcairo.so.2 => not found
    libglib-2.0.so.0 => /lib/i386-linux-gnu/libglib-2.0.so.0 (0xf7637000)
    libgobject-2.0.so.0 => /usr/lib/i386-linux-gnu/libgobject-2.0.so.0 (0xf75e5000)
    libgdk_pixbuf-2.0.so.0 => not found
    libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xf74fc000)
    libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xf74b5000)
    libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xf7498000)
    libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xf72e8000)
    libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xf72cc000)
    libpcre.so.3 => /lib/i386-linux-gnu/libpcre.so.3 (0xf728e000)
    libffi.so.6 => /usr/lib/i386-linux-gnu/libffi.so.6 (0xf7286000)
    /lib/ld-linux.so.2 (0xf7762000)
В общем, какие библиотеки я ставил:
libgtk2.0-bin:i386
libsdl2-2.0-0:i386
Поставил пакет libsdl_image-1.2.so.0 сделал симлинк sudo ln -s /usr/lib/i386-linux-gnu/libSDL_image-1.2.so.0 /usr/lib/i386-linux-gnu/libSDL2_image-2.0.so.0
libcurl3:i386 После этого картина уже стала другой
lubuntu@pc /h/w/З/W/G/T/game> ldd launcher
	linux-gate.so.1 =>  (0xf7799000)
	libgtk-x11-2.0.so.0 => /usr/lib/i386-linux-gnu/libgtk-x11-2.0.so.0 (0xf730c000)
	libgdk-x11-2.0.so.0 => /usr/lib/i386-linux-gnu/libgdk-x11-2.0.so.0 (0xf725d000)
	libcairo.so.2 => /usr/lib/i386-linux-gnu/libcairo.so.2 (0xf7139000)
	libglib-2.0.so.0 => /lib/i386-linux-gnu/libglib-2.0.so.0 (0xf702d000)
	libgobject-2.0.so.0 => /usr/lib/i386-linux-gnu/libgobject-2.0.so.0 (0xf6fdb000)
	libgdk_pixbuf-2.0.so.0 => /usr/lib/i386-linux-gnu/libgdk_pixbuf-2.0.so.0 (0xf6fb8000)
	libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xf6ecf000)
	libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xf6e88000)
	libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xf6e6b000)
	libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xf6cbb000)
	libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xf6c9f000)
	libgmodule-2.0.so.0 => /usr/lib/i386-linux-gnu/libgmodule-2.0.so.0 (0xf6c9a000)
	libpangocairo-1.0.so.0 => /usr/lib/i386-linux-gnu/libpangocairo-1.0.so.0 (0xf6c8c000)
	libX11.so.6 => /usr/lib/i386-linux-gnu/libX11.so.6 (0xf6b58000)
	libXfixes.so.3 => /usr/lib/i386-linux-gnu/libXfixes.so.3 (0xf6b52000)
	libatk-1.0.so.0 => /usr/lib/i386-linux-gnu/libatk-1.0.so.0 (0xf6b31000)
	libgio-2.0.so.0 => /usr/lib/i386-linux-gnu/libgio-2.0.so.0 (0xf69b0000)
	libpangoft2-1.0.so.0 => /usr/lib/i386-linux-gnu/libpangoft2-1.0.so.0 (0xf6999000)
	libpango-1.0.so.0 => /usr/lib/i386-linux-gnu/libpango-1.0.so.0 (0xf694c000)
	libfontconfig.so.1 => /usr/lib/i386-linux-gnu/libfontconfig.so.1 (0xf6911000)
	libXrender.so.1 => /usr/lib/i386-linux-gnu/libXrender.so.1 (0xf6906000)
	libXinerama.so.1 => /usr/lib/i386-linux-gnu/libXinerama.so.1 (0xf6902000)
	libXi.so.6 => /usr/lib/i386-linux-gnu/libXi.so.6 (0xf68f0000)
	libXrandr.so.2 => /usr/lib/i386-linux-gnu/libXrandr.so.2 (0xf68e5000)
	libXcursor.so.1 => /usr/lib/i386-linux-gnu/libXcursor.so.1 (0xf68da000)
	libXcomposite.so.1 => /usr/lib/i386-linux-gnu/libXcomposite.so.1 (0xf68d6000)
	libXdamage.so.1 => /usr/lib/i386-linux-gnu/libXdamage.so.1 (0xf68d2000)
	libXext.so.6 => /usr/lib/i386-linux-gnu/libXext.so.6 (0xf68be000)
	libpixman-1.so.0 => /usr/lib/i386-linux-gnu/libpixman-1.so.0 (0xf6814000)
	libfreetype.so.6 => /usr/lib/i386-linux-gnu/libfreetype.so.6 (0xf6774000)
	libpng12.so.0 => /lib/i386-linux-gnu/libpng12.so.0 (0xf674c000)
	libxcb-shm.so.0 => /usr/lib/i386-linux-gnu/libxcb-shm.so.0 (0xf6748000)
	libxcb-render.so.0 => /usr/lib/i386-linux-gnu/libxcb-render.so.0 (0xf673d000)
	libxcb.so.1 => /usr/lib/i386-linux-gnu/libxcb.so.1 (0xf671b000)
	libz.so.1 => /lib/i386-linux-gnu/libz.so.1 (0xf6701000)
	librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0xf66f8000)
	libpcre.so.3 => /lib/i386-linux-gnu/libpcre.so.3 (0xf66ba000)
	libffi.so.6 => /usr/lib/i386-linux-gnu/libffi.so.6 (0xf66b2000)
	/lib/ld-linux.so.2 (0xf779a000)
	libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xf66ad000)
	libselinux.so.1 => /lib/i386-linux-gnu/libselinux.so.1 (0xf668a000)
	libresolv.so.2 => /lib/i386-linux-gnu/libresolv.so.2 (0xf6672000)
	libharfbuzz.so.0 => /usr/lib/i386-linux-gnu/libharfbuzz.so.0 (0xf661b000)
	libthai.so.0 => /usr/lib/i386-linux-gnu/libthai.so.0 (0xf6611000)
	libexpat.so.1 => /lib/i386-linux-gnu/libexpat.so.1 (0xf65e8000)
	libXau.so.6 => /usr/lib/i386-linux-gnu/libXau.so.6 (0xf65e4000)
	libXdmcp.so.6 => /usr/lib/i386-linux-gnu/libXdmcp.so.6 (0xf65dd000)
	libgraphite2.so.3 => /usr/lib/i386-linux-gnu/libgraphite2.so.3 (0xf65c0000)
	libdatrie.so.1 => /usr/lib/i386-linux-gnu/libdatrie.so.1 (0xf65b7000)


В общем, снова запускаю ./launcher Выдает мне

launcher:3300): Gtk-WARNING **: Загружаемый модуль тем не найден в module_path: «murrine»,

(launcher:3300): Gtk-WARNING **: Загружаемый модуль тем не найден в module_path: «murrine»,

(launcher:3300): Gtk-WARNING **: Загружаемый модуль тем не найден в module_path: «clearlooks»,

(launcher:3300): Gtk-WARNING **: Загружаемый модуль тем не найден в module_path: «clearlooks»,
При том что gtk2-engines-pixbuf:i386 - стоит И да, sudo dpkg-add architecture i386 делал.
Куда дальше копать не знаю.
Ну вот почему?
Почему, если я просто хочу поиграть, я должен полчаса красноглазить в консоли?
Дистрибутив Lubuntu 14.04 x86_64

★★★★★

Почему, если я просто хочу поиграть, я должен полчаса красноглазить в консоли?

Потому что поставил x86_64 дистрибутив, очевидно же.

Akamanah ★★★★★ ()
Ответ на: комментарий от w1nner

Я на полном серьезе. Сколько играю на пекарне, столько и наблюдаю страдания любителей этой бесполезной архитектуры.

Akamanah ★★★★★ ()
Ответ на: комментарий от Akamanah

Сколько играю на пекарне, столько и наблюдаю страдания любителей этой бесполезной архитектуры.

Очевидно же, неспособные должны страдать, называя всё бесполезным в свое оправдание.

Deleted ()
Ответ на: комментарий от Deleted

Погоди, какие страдания? Витчер у меня запускается кликом мышкой по бинарнику, а не многочасовым жонглированием в консоли и доустановкой половины пакетов из иной архитектуры.

Akamanah ★★★★★ ()

У меня прекрасно работает стимовская. Ничего gtk-шниого не просит. Посмотри что это за лаунчер такой?

Я запускаю прямо через ./witcher2

cat /etc/ld.so.conf.d/05witcher2.conf 
/media/ST4/GamesDists/Witcher2/TheWitcher2/libs
Deleted ()
Последнее исправление: Deleted (всего исправлений: 1)

Эти ошибки ничего не значат, они могут появляться в куче работающего софта. Решаются установкой gnome-themes обеих архитектур, но они на самом деле ни на что не влияют. Копай в другую сторону.

ArtKun ★★★★★ ()
Ответ на: комментарий от w1nner

Тебе всё написали по делу. Запуск 32-разрядной проприетарщины в 64-разрядных системах пока связан с некоторым геморроем.

Лично у меня для подобных вещей в дуалбуте стоит второй дебиан. 32-разрядный. Именно потому, что не хотел «красноглазить».

hobbit ★★★★★ ()
Ответ на: комментарий от Deleted

У меня вообще ничего не проиходит когда запускаю бинарник witcher2

w1nner ★★★★★ ()
Ответ на: комментарий от hobbit

Но я ведь не знал, что здесь такие проблемы с этой разрядностью. Я думал что раз процессор поддерживает 64-битную архитектуру, то нужно ставить 64-битную систему. (Видать привычка осталась с Windows 7, где 32-битная система не видела больше 3.25Гб ОЗУ)

w1nner ★★★★★ ()
Ответ на: комментарий от w1nner

Покажи выхлоп ldd witcher2

Вот мой:

$ ldd witcher2
./witcher2: /usr/lib32/libcurl.so.4: no version information available (required by ./witcher2)
        libGL.so.1 => /usr/lib32/libGL.so.1 (0xf766e000)
        libSDL2-2.0.so.0 => /usr/lib32/libSDL2-2.0.so.0 (0xf7569000)
        libSDL2_image-2.0.so.0 => /media/ST4/GamesDists/Witcher2/TheWitcher2/libs/libSDL2_image-2.0.so.0 (0xf7542000)
        librt.so.1 => /lib32/librt.so.1 (0xf7538000)
        libdl.so.2 => /lib32/libdl.so.2 (0xf7533000)
        libfreetype.so.6 => /usr/lib32/libfreetype.so.6 (0xf7476000)
        libcurl.so.4 => /usr/lib32/libcurl.so.4 (0xf7411000)
        libopenal-eon.so.1 => ./libopenal-eon.so.1 (0xf73a7000)
        libsteam_api.so => ./libsteam_api.so (0xf738f000)
        libstdc++.so.6 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.3/32/libstdc++.so.6 (0xf72a6000)
        libm.so.6 => /lib32/libm.so.6 (0xf7260000)
        libgcc_s.so.1 => /usr/lib/gcc/x86_64-pc-linux-gnu/4.8.3/32/libgcc_s.so.1 (0xf7245000)
        libpthread.so.0 => /lib32/libpthread.so.0 (0xf722b000)
        libc.so.6 => /lib32/libc.so.6 (0xf708f000)
        libnvidia-tls.so.343.22 => /usr/lib32/libnvidia-tls.so.343.22 (0xf708a000)
        libnvidia-glcore.so.343.22 => /usr/lib32/libnvidia-glcore.so.343.22 (0xf4a80000)
        libX11.so.6 => /usr/lib32/libX11.so.6 (0xf4947000)
        libXext.so.6 => /usr/lib32/libXext.so.6 (0xf4934000)
        libasound.so.2 => /usr/lib32/libasound.so.2 (0xf486c000)
        libpulse-simple.so.0 => /usr/lib32/libpulse-simple.so.0 (0xf4867000)
        libpulse.so.0 => /usr/lib32/libpulse.so.0 (0xf4816000)
        libXcursor.so.1 => /usr/lib32/libXcursor.so.1 (0xf480a000)
        libXinerama.so.1 => /usr/lib32/libXinerama.so.1 (0xf4806000)
        libXi.so.6 => /usr/lib32/libXi.so.6 (0xf47f4000)
        libXrandr.so.2 => /usr/lib32/libXrandr.so.2 (0xf47e9000)
        libXss.so.1 => /usr/lib32/libXss.so.1 (0xf47e5000)
        libXxf86vm.so.1 => /usr/lib32/libXxf86vm.so.1 (0xf47df000)
        /lib/ld-linux.so.2 (0xf77d3000)
        libz.so.1 => /lib32/libz.so.1 (0xf47c8000)
        libbz2.so.1 => /usr/lib32/libbz2.so.1 (0xf47b5000)
        libpng16.so.16 => /usr/lib32/libpng16.so.16 (0xf477c000)
        libssl.so.1.0.0 => /usr/lib32/libssl.so.1.0.0 (0xf4718000)
        libcrypto.so.1.0.0 => /usr/lib32/libcrypto.so.1.0.0 (0xf4560000)
        liblber-2.4.so.2 => /usr/lib32/liblber-2.4.so.2 (0xf4550000)
        libldap-2.4.so.2 => /usr/lib32/libldap-2.4.so.2 (0xf4504000)
        libxcb.so.1 => /usr/lib32/libxcb.so.1 (0xf44e1000)
        libpulsecommon-5.0.so => /usr/lib32/pulseaudio/libpulsecommon-5.0.so (0xf4465000)
        libX11-xcb.so.1 => /usr/lib32/libX11-xcb.so.1 (0xf4462000)
        libICE.so.6 => /usr/lib32/libICE.so.6 (0xf4447000)
        libSM.so.6 => /usr/lib32/libSM.so.6 (0xf443e000)
        libXtst.so.6 => /usr/lib32/libXtst.so.6 (0xf4437000)
        libsystemd.so.0 => /usr/lib32/libsystemd.so.0 (0xf4405000)
        libjson-c.so.2 => /usr/lib32/libjson-c.so.2 (0xf43f9000)
        libwrap.so.0 => /usr/lib32/libwrap.so.0 (0xf43ee000)
        libsndfile.so.1 => /usr/lib32/libsndfile.so.1 (0xf437c000)
        libasyncns.so.0 => /usr/lib32/libasyncns.so.0 (0xf4376000)
        libdbus-1.so.3 => /usr/lib32/libdbus-1.so.3 (0xf4334000)
        libcap.so.2 => /usr/lib32/libcap.so.2 (0xf432e000)
        libXrender.so.1 => /usr/lib32/libXrender.so.1 (0xf4324000)
        libXfixes.so.3 => /usr/lib32/libXfixes.so.3 (0xf431d000)
        libresolv.so.2 => /lib32/libresolv.so.2 (0xf4306000)
        libXau.so.6 => /usr/lib32/libXau.so.6 (0xf4302000)
        libXdmcp.so.6 => /usr/lib32/libXdmcp.so.6 (0xf42fb000)
        libuuid.so.1 => /usr/lib32/libuuid.so.1 (0xf42f4000)
        liblzma.so.5 => /usr/lib32/liblzma.so.5 (0xf42cd000)
        libFLAC.so.8 => /usr/lib32/libFLAC.so.8 (0xf4296000)
        libvorbisenc.so.2 => /usr/lib32/libvorbisenc.so.2 (0xf420a000)
        libattr.so.1 => /usr/lib32/libattr.so.1 (0xf4204000)
        libogg.so.0 => /usr/lib32/libogg.so.0 (0xf41fb000)
        libvorbis.so.0 => /usr/lib32/libvorbis.so.0 (0xf41d0000)

Gentoo с abi_32

Deleted ()
Ответ на: комментарий от Deleted
lubuntu@pc /h/w/З/W/G/T/game> ldd witcher2
	linux-gate.so.1 =>  (0xf7760000)
	libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xf773d000)
	librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0xf7734000)
	libGL.so.1 => /usr/lib/i386-linux-gnu/mesa/libGL.so.1 (0xf76d3000)
	libSDL2-2.0.so.0 => /usr/lib/i386-linux-gnu/libSDL2-2.0.so.0 (0xf75bf000)
	libSDL2_image-2.0.so.0 => /usr/lib/i386-linux-gnu/libSDL2_image-2.0.so.0 (0xf7598000)
	libfreetype.so.6 => /usr/lib/i386-linux-gnu/libfreetype.so.6 (0xf74f8000)
	libcurl.so.4 => /usr/lib/i386-linux-gnu/libcurl.so.4 (0xf7490000)
	libopenal-eon.so.1 => ./libopenal-eon.so.1 (0xf7425000)
	libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xf733c000)
	libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xf72f6000)
	libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xf72d9000)
	libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xf72bd000)
	libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xf710c000)
	/lib/ld-linux.so.2 (0xf7761000)
	libglapi.so.0 => /usr/lib/i386-linux-gnu/libglapi.so.0 (0xf70f4000)
	libXext.so.6 => /usr/lib/i386-linux-gnu/libXext.so.6 (0xf70e1000)
	libXdamage.so.1 => /usr/lib/i386-linux-gnu/libXdamage.so.1 (0xf70dd000)
	libXfixes.so.3 => /usr/lib/i386-linux-gnu/libXfixes.so.3 (0xf70d7000)
	libX11-xcb.so.1 => /usr/lib/i386-linux-gnu/libX11-xcb.so.1 (0xf70d3000)
	libX11.so.6 => /usr/lib/i386-linux-gnu/libX11.so.6 (0xf6f9f000)
	libxcb-glx.so.0 => /usr/lib/i386-linux-gnu/libxcb-glx.so.0 (0xf6f87000)
	libxcb-dri2.so.0 => /usr/lib/i386-linux-gnu/libxcb-dri2.so.0 (0xf6f81000)
	libxcb-dri3.so.0 => /usr/lib/i386-linux-gnu/libxcb-dri3.so.0 (0xf6f7d000)
	libxcb-present.so.0 => /usr/lib/i386-linux-gnu/libxcb-present.so.0 (0xf6f78000)
	libxcb-sync.so.1 => /usr/lib/i386-linux-gnu/libxcb-sync.so.1 (0xf6f71000)
	libxcb.so.1 => /usr/lib/i386-linux-gnu/libxcb.so.1 (0xf6f4f000)
	libxshmfence.so.1 => /usr/lib/i386-linux-gnu/libxshmfence.so.1 (0xf6f4c000)
	libXxf86vm.so.1 => /usr/lib/i386-linux-gnu/libXxf86vm.so.1 (0xf6f46000)
	libdrm.so.2 => /usr/lib/i386-linux-gnu/libdrm.so.2 (0xf6f38000)
	libasound.so.2 => /usr/lib/i386-linux-gnu/libasound.so.2 (0xf6e42000)
	libpulse-simple.so.0 => /usr/lib/i386-linux-gnu/libpulse-simple.so.0 (0xf6e3d000)
	libpulse.so.0 => /usr/lib/i386-linux-gnu/libpulse.so.0 (0xf6dee000)
	libXcursor.so.1 => /usr/lib/i386-linux-gnu/libXcursor.so.1 (0xf6de3000)
	libXinerama.so.1 => /usr/lib/i386-linux-gnu/libXinerama.so.1 (0xf6dde000)
	libXi.so.6 => /usr/lib/i386-linux-gnu/libXi.so.6 (0xf6dcd000)
	libXrandr.so.2 => /usr/lib/i386-linux-gnu/libXrandr.so.2 (0xf6dc2000)
	libXss.so.1 => /usr/lib/i386-linux-gnu/libXss.so.1 (0xf6dbe000)
	libwayland-egl.so.1 => /usr/lib/i386-linux-gnu/libwayland-egl.so.1 (0xf6dbb000)
	libwayland-client.so.0 => /usr/lib/i386-linux-gnu/libwayland-client.so.0 (0xf6dae000)
	libwayland-cursor.so.0 => /usr/lib/i386-linux-gnu/libwayland-cursor.so.0 (0xf6da5000)
	libxkbcommon.so.0 => /usr/lib/i386-linux-gnu/libxkbcommon.so.0 (0xf6d69000)
	libpng12.so.0 => /lib/i386-linux-gnu/libpng12.so.0 (0xf6d41000)
	libjpeg.so.8 => /usr/lib/i386-linux-gnu/libjpeg.so.8 (0xf6ce6000)
	libtiff.so.5 => /usr/lib/i386-linux-gnu/libtiff.so.5 (0xf6c72000)
	libwebp.so.5 => /usr/lib/i386-linux-gnu/libwebp.so.5 (0xf6c22000)
	libz.so.1 => /lib/i386-linux-gnu/libz.so.1 (0xf6c08000)
	libidn.so.11 => /usr/lib/i386-linux-gnu/libidn.so.11 (0xf6bd5000)
	librtmp.so.0 => /usr/lib/i386-linux-gnu/librtmp.so.0 (0xf6bba000)
	libssl.so.1.0.0 => /lib/i386-linux-gnu/libssl.so.1.0.0 (0xf6b62000)
	libcrypto.so.1.0.0 => /lib/i386-linux-gnu/libcrypto.so.1.0.0 (0xf69b6000)
	libgssapi_krb5.so.2 => /usr/lib/i386-linux-gnu/libgssapi_krb5.so.2 (0xf6971000)
	liblber-2.4.so.2 => /usr/lib/i386-linux-gnu/liblber-2.4.so.2 (0xf6962000)
	libldap_r-2.4.so.2 => /usr/lib/i386-linux-gnu/libldap_r-2.4.so.2 (0xf6910000)
	libXau.so.6 => /usr/lib/i386-linux-gnu/libXau.so.6 (0xf690b000)
	libXdmcp.so.6 => /usr/lib/i386-linux-gnu/libXdmcp.so.6 (0xf6904000)
	libpulsecommon-4.0.so => /usr/lib/i386-linux-gnu/pulseaudio/libpulsecommon-4.0.so (0xf6895000)
	libjson-c.so.2 => /lib/i386-linux-gnu/libjson-c.so.2 (0xf688a000)
	libdbus-1.so.3 => /lib/i386-linux-gnu/libdbus-1.so.3 (0xf683e000)
	libXrender.so.1 => /usr/lib/i386-linux-gnu/libXrender.so.1 (0xf6833000)
	libffi.so.6 => /usr/lib/i386-linux-gnu/libffi.so.6 (0xf682c000)
	liblzma.so.5 => /lib/i386-linux-gnu/liblzma.so.5 (0xf6806000)
	libjbig.so.0 => /usr/lib/i386-linux-gnu/libjbig.so.0 (0xf67f7000)
	libgnutls.so.26 => /usr/lib/i386-linux-gnu/libgnutls.so.26 (0xf6730000)
	libgcrypt.so.11 => /lib/i386-linux-gnu/libgcrypt.so.11 (0xf66a9000)
	libkrb5.so.3 => /usr/lib/i386-linux-gnu/libkrb5.so.3 (0xf65eb000)
	libk5crypto.so.3 => /usr/lib/i386-linux-gnu/libk5crypto.so.3 (0xf65bb000)
	libcom_err.so.2 => /lib/i386-linux-gnu/libcom_err.so.2 (0xf65b6000)
	libkrb5support.so.0 => /usr/lib/i386-linux-gnu/libkrb5support.so.0 (0xf65a9000)
	libresolv.so.2 => /lib/i386-linux-gnu/libresolv.so.2 (0xf6591000)
	libsasl2.so.2 => /usr/lib/i386-linux-gnu/libsasl2.so.2 (0xf6576000)
	libgssapi.so.3 => /usr/lib/i386-linux-gnu/libgssapi.so.3 (0xf653a000)
	libwrap.so.0 => /lib/i386-linux-gnu/libwrap.so.0 (0xf6530000)
	libsndfile.so.1 => /usr/lib/i386-linux-gnu/libsndfile.so.1 (0xf64bd000)
	libasyncns.so.0 => /usr/lib/i386-linux-gnu/libasyncns.so.0 (0xf64b6000)
	libtasn1.so.6 => /usr/lib/i386-linux-gnu/libtasn1.so.6 (0xf64a2000)
	libp11-kit.so.0 => /usr/lib/i386-linux-gnu/libp11-kit.so.0 (0xf6466000)
	libgpg-error.so.0 => /lib/i386-linux-gnu/libgpg-error.so.0 (0xf6461000)
	libkeyutils.so.1 => /lib/i386-linux-gnu/libkeyutils.so.1 (0xf645c000)
	libheimntlm.so.0 => /usr/lib/i386-linux-gnu/libheimntlm.so.0 (0xf6453000)
	libkrb5.so.26 => /usr/lib/i386-linux-gnu/libkrb5.so.26 (0xf63cd000)
	libasn1.so.8 => /usr/lib/i386-linux-gnu/libasn1.so.8 (0xf6327000)
	libhcrypto.so.4 => /usr/lib/i386-linux-gnu/libhcrypto.so.4 (0xf62f2000)
	libroken.so.18 => /usr/lib/i386-linux-gnu/libroken.so.18 (0xf62db000)
	libnsl.so.1 => /lib/i386-linux-gnu/libnsl.so.1 (0xf62c2000)
	libFLAC.so.8 => /usr/lib/i386-linux-gnu/libFLAC.so.8 (0xf628e000)
	libvorbisenc.so.2 => /usr/lib/i386-linux-gnu/libvorbisenc.so.2 (0xf6116000)
	libvorbis.so.0 => /usr/lib/i386-linux-gnu/libvorbis.so.0 (0xf60ea000)
	libogg.so.0 => /usr/lib/i386-linux-gnu/libogg.so.0 (0xf60e0000)
	libwind.so.0 => /usr/lib/i386-linux-gnu/libwind.so.0 (0xf60b7000)
	libheimbase.so.1 => /usr/lib/i386-linux-gnu/libheimbase.so.1 (0xf60a8000)
	libhx509.so.5 => /usr/lib/i386-linux-gnu/libhx509.so.5 (0xf6061000)
	libsqlite3.so.0 => /usr/lib/i386-linux-gnu/libsqlite3.so.0 (0xf5fa4000)
	libcrypt.so.1 => /lib/i386-linux-gnu/libcrypt.so.1 (0xf5f72000)
w1nner ★★★★★ ()

Железо у тебя какое, под системные требования подходит?

MINIMUM: 
OS: Ubuntu 12.04 LTS, Steam OS 
Processor: Intel Core 2 Duo 
Memory: 4 GB RAM 
Graphics: GeForce 9800 GT 512MB (1280x720, low) 
Hard Drive: 25 GB HD space

RECOMMENDED: 
OS: Ubuntu 12.04 LTS, Steam OS 
Processor: Quad Core Intel 
Memory: 4 GB RAM 
Graphics: GeForce GT 640 1GB (1440x900, medium) 
Hard Drive: 25 GB HD space

We recommend the following drivers: 
nVidia - nvidia binary driver 331.38, 340.32 or later (343.13 beta has problems currently) 
AMD - fglrx binary driver 14.4 rev 2 or later. 

MESA based drivers (e.g. "nouveau", "radeonsi") are not currently supported. 
Intel integrated graphics are not currently supported.

Atheist ★★★ ()
Ответ на: комментарий от Deleted

c abi_x86-32 steam можно запустить без pulseaudio?

haku ★★★★★ ()
Ответ на: комментарий от w1nner

Там на gog помимо игры в библиотеке есть какой то патч к ней, он установлен?

Atheist ★★★ ()
Ответ на: комментарий от w1nner

Так патч до последней версии же. В первых версиях, емнип, вообще AMD не поддерживались.

Akamanah ★★★★★ ()
Ответ на: комментарий от Akamanah

Скачал, поставил, результата никакого - не помогло.

w1nner ★★★★★ ()
Ответ на: комментарий от w1nner

Запускал как, через ./launcher или start.sh, который с патчем идет?

Atheist ★★★ ()
Ответ на: комментарий от Atheist

Если через start.sh то пишет

$ sh start.sh
start.sh: 6: start.sh: declare: not found
start.sh: 7: start.sh: declare: not found
start.sh: 8: start.sh: declare: not found
start.sh: 9: start.sh: declare: not found
start.sh: 12: start.sh: Bad substitution
start.sh: 12: start.sh: declare: not found
start.sh: 18: start.sh: source: not found
start.sh: 44: start.sh: define_option: not found
start.sh: 47: start.sh: standard_options: not found
Если через launcher и witcher2 запускать - результат тот же что и в прошлый раз. Патч скачан и скопирован с заменой файлов в каталоге игры.

w1nner ★★★★★ ()
Последнее исправление: w1nner (всего исправлений: 1)
Ответ на: комментарий от haku

Не пробовал без пульсов, но с abi_x86-32 можно.

Deleted ()
Ответ на: комментарий от Atheist

Эта команда ставит патч. Она ведь аналогична тому если я просто скопировал файлы с заменой?

w1nner ★★★★★ ()

Enjoy your запакованный виндовый бинарник. Запускай сразу виндовую в Wine, работать будет лучше.

anonymous ()
Ответ на: комментарий от SpaceRanger

Это же не линуксовая игра, а репак от virtual porting. Причем тут линукс?

anonymous ()
Ответ на: комментарий от w1nner

Не подходит. Написано же ubuntu 12.04 - откатывайся :D

А вообще для gog'а сувать пакеты, которые потом думай как запустить, видать обычное дело.

fornlr ★★★★★ ()
Последнее исправление: fornlr (всего исправлений: 1)
Ответ на: комментарий от hobbit

Для таких вещей идеально 32-разрядный дистр в schroot подходит, нежели дуалбут.

turtle_bazon ★★★★ ()
Ответ на: комментарий от anonymous

>а репак от virtual porting

Ну так чего ты тогда ожидал, от криворучек то?

SpaceRanger ()

надо было в стиме брать. Там стим сразу с нужными либами, под которые это все и собрано

P.S. порт паршивый

r0ck3r ★★★★★ ()
Последнее исправление: r0ck3r (всего исправлений: 1)
Ответ на: комментарий от r0ck3r

Там стим сразу с нужными либами, под которые это все и собрано

Никто не мешает слить Steam Runtime с гитхаба и запускать через него что надо.

P.S. порт паршивый

Это не порт.

anonymous ()
Ответ на: комментарий от NeverLoved

Да, у меня работало. Потом перекатился на пшшш.

Странно.
Просто сегодня мигрировал с emul-linux-x86 на abi_x86-32, ну и стим без steamruntime оформлял — без пульсы так его запустить и не смог(

haku ★★★★★ ()

Короче решения кроме как поставить 32-битных дистр убунты нет, потому помечу как решенную тему. Ставить 32-битную систему не буду, так как есть программы которым нужна 64-битная система.

w1nner ★★★★★ ()
Ответ на: комментарий от w1nner

В Стиме ведьмак за 62р прям сейчас. Хоть «порт» у игры и кривой, но играть можно. А главное никаких мучений с 32битными библиотеками или какими-то старыми/новыми версиями. У местного рантайма реально есть свои плюсы.

alarm ()

Хм, у тебя должна быть только проблема с libsdl (которую ты решил) и с libopenal-eon, которая соотвествует libopenal1:i386 начиная с openal-soft_1.15.1, а возможно и с trusty, где openal-soft_1.14.
Там нужно просто сделать симлинк с названием не достающей i386 библиотеки с libopenal.so.1 в /lib/i386-linux-gnu например.
Причем данная библиотека есть в сборке от стима, но нет в сборке от gog. А libgtk-x11-2.0.so.0 это пакет libgtk2.0-0:i386.
Ну и еще можешь поставить gtk2-engines-murrine, но это не принципиально.

anonymous_sama ★★★★★ ()
Ответ на: комментарий от anonymous_sama

Да ладно, че-то я запарился совсем, не хочу дальше мучать, все равно ничего из этого не получится.

w1nner ★★★★★ ()
Ответ на: комментарий от w1nner

Да к слову. У меня даже после того как поправил все не запустилось. Оно на интелах похоже совсем не двигается.

anonymous_sama ★★★★★ ()

Witcher 2, которую мне подарили

Традиция дарить гели для душа и мыло все еще живет!

buddhist ★★★★★ ()
Вы не можете добавлять комментарии в эту тему. Тема перемещена в архив.